/*
 *	Global definitions.
 */

#ifndef HR_ZONES
#define HR_ZONES

extern struct hr_zone{
	struct hr_zone *next;
	int flags;
	struct hr_screen *parent_screen;
	struct hr_window *parent_window;
	int x1;
	int y1;
	int x2;
	int y2;
}dummy_zone;

extern struct hr_zone *hr_create_zone(int x1,int y1,int x2,int y2,int flags);
extern struct hr_zone *hr_get_zone(struct hr_zone *firstzone,
											  int x,int y,int flags);
extern struct hr_zone *hr_delete_zone(struct hr_zone *zone);
extern void   hr_scroll_zone(struct hr_zone *zone,int dx,int dy,int flags);
extern void   hr_clear_zone(struct hr_zone *zone,int color,int flags);
#endif
